<div id="body" class="container-fluid">
  <div class="row mx-n5">
    <ngx-spinner bdColor="rgba(51, 51, 51, 0.8)" size="medium" color="#E20074" type="ball-spin-clockwise"></ngx-spinner>
    <div class="col">
      <h5>Canned Reports (Daily)</h5>
      <br />
      <dx-data-grid #grid
                    id="grid"
                    [dataSource]="items"
                    keyExpr="report.id"
                    [wordWrapEnabled]="true"
                    [rowAlternationEnabled]="true"
                    [showBorders]="true"
                    [columnAutoWidth]="true"
                    (onExporting)="onExporting($event)"
                    (onRowUpdated)="onRowUpdated($event)"
                    class="mb-3">
        <dxo-load-panel [enabled]="false"></dxo-load-panel>
        <dxo-editing mode="cell" [allowUpdating]="true"></dxo-editing>
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxi-column dataField="report.id" [visible]="false"></dxi-column>
        <dxi-column dataField="report.name" caption="Report Name" [allowEditing]="false"></dxi-column>
        <dxi-column dataField="report.description"
                    caption="Report Description" [allowEditing]="false"></dxi-column>

        <dxi-column dataField="file?.name" caption="Report" cellTemplate="cellTemplate" [allowEditing]="false"> </dxi-column>
        <dxi-column dataField="file.size"
                    caption="Report Size (MB)" [allowEditing]="false" alignment="left"></dxi-column>

        <dxi-column dataField="file.dateCreated" caption="Report Date" dataType="date"></dxi-column>

        <div *dxTemplate="let cell of 'cellTemplate'">
          <span class="hyperlink" (click)="download(cell.data.file); (false)">
            {{ cell.data?.file?.name }}
          </span>
        </div>
        <!--<div *dxTemplate="let cell of 'dateTemplate'">
          <dx-date-box *ngIf="cell.data?.file == null" [(value)]="this.todaysDate"
                       type="date"></dx-date-box>
          <dx-date-box *ngIf="cell.data?.file != null" [(value)]="cell.data.file.dateCreated"
                       type="date"></dx-date-box>
        </div>-->
      </dx-data-grid>
    </div>
  </div>
</div>
